# MD012 - No Multiple Consecutive Blank Lines

This rule enforces that there are no consecutive blank lines in the document.

## Description

Multiple consecutive blank lines in a document can make it harder to read and maintain. This rule ensures that there is at most one blank line between blocks of content.

## Configuration

- `maximum`: Maximum number of consecutive blank lines allowed (default: 1)

## Examples

### Valid

```markdown
First paragraph

Second paragraph

Third paragraph
```

### Invalid

```markdown
First paragraph


Second paragraph



Third paragraph
```

### Fixed

```markdown
First paragraph

Second paragraph

Third paragraph
```

### Special Cases

- Blank lines at the start of the document are counted
- Blank lines at the end of the document are counted
- Lines containing only whitespace are considered blank
- Code blocks are treated as content and not checked for multiple blank lines
- Front matter blocks are ignored

## Related Rules

- MD009: No trailing spaces
- MD047: Files should end with a single newline character
